div#contact_page
{
  flex: 1 1 0%;  /* makes this element height 100% of parent*/
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 800px;
  ;
  margin: 0px auto;
  padding: 1em;
}

div#contact_page div#prolog
{
  width: 100%;
  margin-bottom: 50px;
}

div#contact_page div.contact_item
{
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  justify-content: center;
  gap: 1rem .75rem;
  width: 100%;
  max-width: 450px;
  margin: 0 auto 25px auto;
  font-size: 1.5rem;
  letter-spacing: 1px;
  cursor: pointer;
}

div#contact_page div.contact_item > div
{
  display: flex;
  flex-direction: column;
  justify-content: center;
}

div#contact_page div.contact_item > div:first-child
{
 align-items: flex-end;
}

div#contact_page div.contact_item > div:last-child > div:last-child
{
 font-size: 1rem;
}

div#contact_page div.contact_item > div span
{
  white-space: nowrap;
}

div#contact_page div.contact_item img
{
  max-height: 30px;
  min-height: 20px;
  margin: 0 8px 0 0;
}

div#contact_page a#map_address
{
  display: block;
  margin: 0 auto 20px auto;
  font-size: 1.2em;
  letter-spacing: 1px;
  text-decoration: none;
}

div#contact_page a#map_address:link { color: black; }
div#contact_page a#map_address:visited { color: black; }
div#contact_page a#map_address:hover { color: var(--hover_link); }
div#contact_page a#map_address:active { color: black; }

div#contact_page div#email_webmaster
{
  width: 100%;
  margin-top: auto; /* push to bottom */
  text-align: center;
  font-size: 0.8em;
}

div#contact_page div#email_webmaster > div.clickable:hover { color: var(--hover_link); }

div#contact_page div#email_webmaster hr
{
  width: 50%;
}
